Bug 586 - builds a wrong path when a filename is passed in the cmd line
: builds a wrong path when a filename is passed in the cmd line
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mozilla)
: unstable
: all Linux
: P4 minor
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2002-02-08 14:35 by
Modified: 2009-05-10 09:31 (History)


Attachments
0000586-mozilla-0.9.8-alt2-localfilepath.patch (deleted)
2002-02-08 14:35, imz
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2002-02-08 14:35:24
Because of a small error in /usr/bin/mozilla script, it opens a file from the
current directory instead of a file from the root (if it exists).

---
$ cd ~ # make sure you are not in / now
$ echo local > a; sudo echo root > /a
$ mozilla /a

And it shows \"local\".

---
The small patch fixes this problem.
------- Comment #1 From 2004-05-05 16:27:05 -------
подарок новому мантейнеру 
------- Comment #2 From 2004-05-24 21:50:25 -------
патч побился :( 
дайте поясненния или закройте.
------- Comment #3 From 2004-06-03 16:06:15 -------
fixed